//=============================================================================
// Bot_Jumper.
//=============================================================================
class Bot_Jumper expands Triggers;

var() bool bOnceOnly, bEnabled;
var() class<Bot> LimitedToClass;
var Bot Pending;
var() float Frequency;
var() int JumpZ;

function Timer()
{
	Pending.SetPhysics(PHYS_Falling);
	Pending.Velocity = Pending.GroundSpeed * Vector(Rotation);
	if ( JumpZ != 0 )
		Pending.Velocity.Z = JumpZ;
	else
		Pending.Velocity.Z = FMax(200, Pending.JumpZ);
	Pending.DesiredRotation = Rotation;
	Pending.bJumpOffPawn = true;
	Pending.SetFall();
}

function Touch( actor Other )
{
	if ( Other.IsA('Bot') 
			&& ((LimitedToClass == None) || (Other.Class == LimitedToClass)) )
	{
		Pending = Bot(Other);
		SetTimer(Frequency, false);
		if ( bOnceOnly )
		{
			Disable('Touch');
			Disable('Trigger');
		}
	}
}

function Trigger( actor Other, pawn EventInstigator )
{
	if ( bEnabled )
		bEnabled = False;
	else
		bEnabled = True;
}

defaultproperties
{
     bOnceOnly=False
     bDirectional=True
     JumpZ=324
     Frequency=0.1
}
